<?php
function remove_menus(){
    remove_menu_page( 'index.php' );                  //Консоль
    remove_menu_page( 'edit.php' );                   //Записи
    remove_menu_page( 'upload.php' );                 //Медиафайлы
    remove_menu_page( 'edit.php?post_type=page' );    //Страницы
    //remove_menu_page( 'edit-comments.php' );          //Комментарии
    remove_menu_page( 'themes.php' );                 //Внешний вид
    //remove_menu_page( 'plugins.php' );                //Плагины
    //remove_menu_page( 'users.php' );                  //Пользователи
    //remove_menu_page( 'tools.php' );                  //Инструменты
    //remove_menu_page( 'options-general.php' );        //Настройки
}
add_action( 'admin_menu', 'remove_menus' );


function dashboard_redirect( $url ) {
    $url = esc_url( admin_url( 'edit.php?post_type=profile' ));
    return $url;
}
add_filter( 'login_redirect', 'dashboard_redirect',10,3);

function site_redirect( $url ) {
    if(!is_home() && !is_front_page() )
        return;

    $url = esc_url(str_replace("admin.", "", $url));
    wp_redirect( $url, 301 );
    exit;
}
add_filter( 'template_redirect', 'site_redirect',10,3);